Finance::Quote::Tdefunds(3)

NAME
Finance::Quote::Tdefunds    - Obtain quotes from TD Waterhouse Efunds

SYNOPSIS
    use Finance::Quote;

    $q = Finance::Quote->new;

    %quotes = $q->tdefunds ("TD Canadian Index");
    $date = $quotes {"TD Canadian Index", "date"};
    $nav = $quotes {"TD Canadian Index", "nav"};
    print "TD Canadian Index $date: NAV = $nav\n";
    $nav = $quotes {"TD Canadian Index", "nav"};

DESCRIPTION
This module obtains information about managed funds from TD Waterhouse Canada Efunds. All TD Waterhouse efunds are downloaded at once.

The symbols for each efund are the names of the efund with any unusal characters (not a letter, space or period) removed. For example; a fund called "TD US Index ($US)" would have the symbol "TD US Index US".

LABELS RETURNED
Information available from TD Waterhouse may include the following labels: exchange, name, nav, date, price, currency.

SEE ALSO
TD Waterhouse website - http://www.tdwaterhouse.ca/